libqtgui4_4.8.7+dfsg-18_i386.deb


Advertisement

Description

libqtgui4 - Qt 4 GUI module

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libqtgui4_4.8.7+dfsg-18_i386.deb
Package name libqtgui4
Package version 4.8.7+dfsg
Package release 18
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://qt-project.org/
License -
Maintainer Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 4.39 MB
Installed size 13.11 MB
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
The QtGui module extends QtCore with GUI functionality.

Alternatives

Package Version Architecture Repository
libqtgui4_4.8.7+dfsg-18_amd64.deb 4.8.7+dfsg amd64 Debian Main
libqtgui4 - - -

Requires

Name Value
fontconfig -
libaudio2 -
libc6 >= 2.28
libfontconfig1 >= 2.12.6
libfreetype6 >= 2.3.5
libgcc1 >= 1:4.2
libglib2.0-0 >= 2.12.0
libice6 >= 1:1.0.0
libjpeg62-turbo >= 1.3.1
libmng1 >= 1.0.10
libpng16-16 >= 1.6.2-1
libqtcore4 = 4:4.8.7+dfsg-18
libsm6 -
libstdc++6 >= 4.1.1
libtiff5 >= 4.0.3
libx11-6 -
libxext6 -
libxrender1 -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libqtgui4_4.8.7+dfsg-18_i386.deb
Source Package qt4-x11

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqtgui4 deb package:
    # sudo apt-get install libqtgui4

Files

Path
/usr/lib/i386-linux-gnu/libQtGui.so.4
/usr/lib/i386-linux-gnu/libQtGui.so.4.8
/usr/lib/i386-linux-gnu/libQtGui.so.4.8.7
/usr/lib/i386-linux-gnu/qt4/plugins/accessible/libqtaccessiblewidgets.so
/usr/lib/i386-linux-gnu/qt4/plugins/graphicssystems/libqtracegraphicssystem.so
/usr/lib/i386-linux-gnu/qt4/plugins/imageformats/libqgif.so
/usr/lib/i386-linux-gnu/qt4/plugins/imageformats/libqico.so
/usr/lib/i386-linux-gnu/qt4/plugins/imageformats/libqjpeg.so
/usr/lib/i386-linux-gnu/qt4/plugins/imageformats/libqmng.so
/usr/lib/i386-linux-gnu/qt4/plugins/imageformats/libqtga.so
/usr/lib/i386-linux-gnu/qt4/plugins/imageformats/libqtiff.so
/usr/lib/i386-linux-gnu/qt4/plugins/inputmethods/libqimsw-multi.so
/usr/share/doc/libqtgui4/LGPL_EXCEPTION.txt
/usr/share/doc/libqtgui4/NEWS.Debian.gz
/usr/share/doc/libqtgui4/changelog.Debian.gz
/usr/share/doc/libqtgui4/changelog.gz
/usr/share/doc/libqtgui4/copyright

Changelog

2019-04-12 - Dmitry Shachnev <mitya57@debian.org>
qt4-x11 (4:4.8.7+dfsg-18) unstable; urgency=medium
* Team upload.
[ Edward Betts ]
* debian/NEWS: Replace UNRELEASED with unstable.
[ Alexander Volkov ]
* Backport some vulnerability fixes from Qt 5 (closes: #923003).
- CVE-2018-15518: double free or corruption in QXmlStreamReader.
- CVE-2018-19869: Qt Svg crash when parsing malformed url reference.
- CVE-2018-19870: NULL pointer dereference in QGifHandler.
- CVE-2018-19871: QTgaFile CPU exhaustion.
- CVE-2018-19872: crash when parsing a malformed PPM image.
- CVE-2018-19873: QBmpHandler segfault on malformed BMP file.
2018-05-15 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-17) unstable; urgency=medium
* Add fix-build-icu59.patch from OpenSuse. Fixes build with icu59
(Closes: #898542). Thanks John Paul Adrian Glaubitz for digging the
patch!
* Put the source package in section oldlibs. We do not expect new
developments with qt4-x11.
* Update Vcs-[Git Browser] to the new location in salsa.debian.org.
2018-05-04 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-16) unstable; urgency=medium
* Update symbols files with buildds' logs.
* Add a patch by Manuel A. Fernandez Montecelo to provide riscv64 support
(Closes: #897667).
2018-04-18 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-15) unstable; urgency=medium
* Actually upload it to unstable.
2018-04-18 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-14) experimental; urgency=medium
* Update symbols files with buildds' logs.
* Add NEWS.Debian to explicitely tell users of the OpenSSL 1.1 patch.
2017-11-10 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-13) experimental; urgency=medium
* Add extra patch from Dmitry Eremin-Solenikov to make Qt4 work with
OpenSSL 1.1 (Closes: #873275).
* Recommend default-libmysqlclient-dev instead of libmysqlclient-dev.
2017-08-15 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-12) experimental; urgency=medium
* Add openssl_1.1.patch to let Qt4 use OpenSSL 1.1 (Closes: #828522).
- Switch libssl-1.0-dev to libssl-dev to use OpenSSL 1.1.
* Update symbols files with current build log.
2016-11-09 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-11) unstable; urgency=medium
* Switch libmysqlclient-dev to default-libmysqlclient-dev.
2016-11-02 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-10) unstable; urgency=medium
* Update symbols files with buildds' logs.
* Update libqtcore4's libicu55 suggestion to libicu57 (Closes: #842955).
Thanks Dmitry Eremin-Solenikov for the bug report.
* Switch the build dependency on libssl-dev to libssl1.0-dev. While a
patch has been proposed applying it just a few days before the transitions
freeze is not the right moment to do such a change, specially when we have
no Qt upstream that will check the code nor working unit tests for the
functionality. We will push this patch as soon as the Buster development
cycle is started.
2016-09-09 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-9) unstable; urgency=medium
* Update symbols files with buildds' and current logs.
* Add support for LXDE (Closes: #836894).

See Also

Package Description
libqtpropertybrowser-dev_4.1.2-3_i386.deb Qt Property Browser Library - development
libqtpropertybrowser4_4.1.2-3_i386.deb Qt Property Browser Library - runtime
libqtshadowsocks-dev_2.1.0-2+b1_i386.deb Development files of libQtShadowsocks
libqtshadowsocks2_2.1.0-2+b1_i386.deb Lightweight and ultra-fast shadowsocks library written in C++/Qt
libqtspell-qt5-0_0.8.5-1_i386.deb Spell checking for Qt5 text widgets
libqtspell-qt5-dev_0.8.5-1_i386.deb Development files for libqtspell-qt5
libqtspell-qt5-html_0.8.5-1_all.deb Spell checking for Qt5 text widgets
libqtwebkit-dev_2.3.4.dfsg-10_i386.deb Web content engine library for Qt - development files
libqtwebkit-qmlwebkitplugin_2.3.4.dfsg-10_i386.deb Qt WebKit QML plugin
libqtwebkit4_2.3.4.dfsg-10_i386.deb Web content engine library for Qt
libquadmath0-amd64-cross_8.3.0-2cross1_all.deb GCC Quad-Precision Math Library
libquadmath0-i386-cross_8.3.0-2cross1_all.deb GCC Quad-Precision Math Library
libquadmath0-ppc64el-cross_8.3.0-2cross1_all.deb GCC Quad-Precision Math Library
libquadmath0-x32-cross_8.3.0-2cross2_all.deb GCC Quad-Precision Math Library
libquadmath0_8.3.0-6_i386.deb GCC Quad-Precision Math Library
Advertisement
Advertisement